     //////////////////////////////////////////////////////////////////////
     // The contents of this file are subject to the Mozilla Public License
     // Version 1.1 (the "License"); you may not use this file except in
     // compliance with the License.  You may obtain a copy of the License
     // at http://www.mozilla.org/MPL/
     //
     // Software distributed under the License is distributed on an "AS IS"
     // basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
     // See the License for the specific language governing rights and
     // limitations under the License.
     //
     // The Original Code is
     // "com.orbs.open1.mpl.app.chat.client.app.ChatApp",
     // created 1998-05-28.
     //
     // The Initial Developer of the Original Code is David Wallace Croft
     // (croft@alumni.caltech.edu, http://www.alumni.caltech.edu/~croft/).
     // Portions created by David Wallace Croft are
     // Copyright (C) 1999 David Wallace Croft.  All Rights Reserved.
     //
     // Contributor(s):
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mpl.app.chat.client.app;

     import java.net.*;

     import com.orbs.open1.mpl.app.chat.*;
     import com.orbs.open1.mpl.app.chat.client.*;

     /*********************************************************************
     * @version
     *   2000-04-30
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft">David W. Croft</A>
     *********************************************************************/

     public class  ChatApp implements ChatConstants
     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     {

     public static void  main ( String [ ]  args )
     //////////////////////////////////////////////////////////////////////
     {
       try
       {
         URL  serverURL = null;

         if ( args.length > 0 )
         {
           serverURL = new URL ( args [ 0 ] );
         }
         else
         {
           serverURL = new URL ( ChatConstants.DEFAULT_SERVER_URL_NAME );
         }

         String  serverHost = serverURL.getHost ( );

         int     serverPort = serverURL.getPort ( );

         String  serverPath = serverURL.getFile ( );

         new ChatClient ( serverHost, serverPort, serverPath, null );
       }
       catch ( Exception  ex )
       {
         ex.printStackTrace ( );
       }
     }

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
