     //////////////////////////////////////////////////////////////////////
     // The contents of this file are subject to the Mozilla Public License
     // Version 1.1 (the "License"); you may not use this file except in
     // compliance with the License.  You may obtain a copy of the License
     // at http://www.mozilla.org/MPL/
     //
     // Software distributed under the License is distributed on an "AS IS"
     // basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
     // See the License for the specific language governing rights and
     // limitations under the License.
     //
     // The Original Code is "com.orbs.open1.mpl.app.tag3d.Tag3DFrame",
     // created 1999-02-07.
     //
     // The Initial Developer of the Original Code is David Wallace Croft
     // (croft@alumni.caltech.edu, http://www.alumni.caltech.edu/~croft/).
     // Portions created by David Wallace Croft are
     // Copyright (C) 1999 David Wallace Croft.  All Rights Reserved.
     //
     // Contributor(s):
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mpl.app.tag3d;

     import java.applet.*;
     import java.awt.*;
     import java.awt.event.*;
     import java.rmi.Naming;
     import java.util.HashMap;
     import java.util.Map;

     import javax.media.j3d.*;
     import javax.vecmath.*;

     import com.sun.j3d.utils.applet.MainFrame;
     import com.sun.j3d.utils.behaviors.mouse.*;
     import com.sun.j3d.utils.geometry.Box;
     import com.sun.j3d.utils.geometry.ColorCube;
     import com.sun.j3d.utils.image.TextureLoader;
     import com.sun.j3d.utils.universe.*;

     import com.orbs.open1.mpl.media.j3d.Transform3DLib;
     import com.orbs.open1.mpl.media.j3d.Transform3DState;
     import com.orbs.open1.mpl.util.state.*;

     /*********************************************************************
     *
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft/">David W. Croft</A>
     * @version
     *   1999-02-07
     *********************************************************************/

     public class  Tag3DFrame extends Frame
     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     {

     public  Tag3DFrame (
       int       x,
       int       y,
       int       width,
       int       height,
       String    id,
       Canvas3D  canvas3D )
     //////////////////////////////////////////////////////////////////////
     {
       super ( "ORBS Tag3D (" + id + ")" );
       setBounds ( x, y, width, height );

       Panel  panel = new Panel ( );
       panel.setLayout ( new BorderLayout ( ) );

       panel.add ( "Center", canvas3D );

       add ( panel );
     }

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
